Bug#337560: marked as done (kaffe: Fail to run java version of World Wind (trigger assert))

Debian Bug Tracking System owner at bugs.debian.org
Mon Jan 16 13:48:22 UTC 2006

Your message dated Mon, 16 Jan 2006 05:32:17 -0800
with message-id <E1EyUT3-0008Sy-Rj at spohr.debian.org>
and subject line Bug#337560: fixed in kaffe 2:
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

Received: (at submit) by bugs.debian.org; 4 Nov 2005 23:59:17 +0000
>From pre at saruman.uio.no Fri Nov 04 15:59:17 2005
Return-path: <pre at saruman.uio.no>
Received: from pat.uio.no [] (7411)
	by spohr.debian.org with esmtp (Exim 3.36 1 (Debian))
	id 1EYBSm-0008Ni-00; Fri, 04 Nov 2005 15:59:17 -0800
Received: from mail-mx5.uio.no ([])
	by pat.uio.no with esmtp (Exim 4.43)
	id 1EYBSi-0005LT-0v
	for submit at bugs.debian.org; Sat, 05 Nov 2005 00:59:12 +0100
Received: from saruman.uio.no ([])
	by mail-mx5.uio.no with esmtp (Exim 4.43)
	id 1EYBSe-00016Z-M9; Sat, 05 Nov 2005 00:59:08 +0100
Received: from pre by saruman.uio.no with local (Exim 4.44)
	id 1EYBSe-0002b4-17; Sat, 05 Nov 2005 00:59:08 +0100
To: submit at bugs.debian.org
Subject: kaffe: Fail to run java version of World Wind (trigger assert)
From: Petter Reinholdtsen <pere at hungry.com>
Message-Id: <E1EYBSe-0002b4-17 at saruman.uio.no>
Sender: Petter Reinholdtsen <petter.reinholdtsen at usit.uio.no>
Date: Sat, 05 Nov 2005 00:59:08 +0100
X-UiO-Spam-info: not spam, SpamAssassin (score=-4.442, required 12,
	autolearn=disabled, AWL 0.56, UIO_MAIL_IS_INTERNAL -5.00)
Delivered-To: submit at bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-8.0 required=4.0 tests=BAYES_00,HAS_PACKAGE 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02

Package: kaffe
Version: 2:1.1.6-3

Kaffe fail to run the GIS tool World Wind.  I get it working using SUN
Java by following this howto:

 1) download the JOGL and ww2d packages:

      wget http://download.berlios.de/ww2d/ww2d-0.99.86.zip
      wget http://download.berlios.de/ww2d/JOGL-Inst.jar

 2) unpack JOGL into separate directory (running the jar do not work,
    as it assume root access and tries to copy files into locations
    where I do not want to write new files).

      (mkdir JOGL-Inst && cd JOGL-Inst && jar -x < ../JOGL-Inst.jar)

 3) unpack the ww2d zip file

      unzip ww2d-0.99.86.zip

 4) make the jogl files available in this new directory.  This is the
    important trick to work around broken JOGL installer.

      (cd ww2d-0.99.86 && ln ../JOGL-Inst/jogl.jar .)
      (cd ww2d-0.99.86 && ln ../JOGL-Inst/libjogl.so .)

 5) run the program in the ww2d... directory while making sure the
    dynamic linker find the libjogl.so file.

      cd LD_LIBRARY_PATH=`pwd` java -jar WW2D.jar

This give me a nice window with a map of the earth, and I can zoom in
to different areas of the world using Alt-up and Alt-down. :)

When I try to run it using Kaffe, I get this assert error instead:

  % LD_LIBRARY_PATH=`pwd` kaffe -jar WW2D.jar
  WW2D 0.99.86 by Vitaliy Pronkin <pronvit at gmail.com> starting...
    lookupClassMethod: Assertion `cls != ((void *)0)' failed.

Any idea how to get it working with Kaffe?

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-2-386
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages kaffe depends on:
ii  kaffe-pthreads                2:1.1.6-3  A POSIX threads enabled version of

kaffe recommends no packages.

-- no debconf information

Received: (at 337560-close) by bugs.debian.org; 16 Jan 2006 13:40:31 +0000
>From katie at ftp-master.debian.org Mon Jan 16 05:40:31 2006
Return-path: <katie at ftp-master.debian.org>
Received: from katie by spohr.debian.org with local (Exim 4.50)
	id 1EyUT3-0008Sy-Rj; Mon, 16 Jan 2006 05:32:17 -0800
From: Wolfgang Baer <WBaer at gmx.de>
To: 337560-close at bugs.debian.org
X-Katie: $Revision: 1.65 $
Subject: Bug#337560: fixed in kaffe 2:
Message-Id: <E1EyUT3-0008Sy-Rj at spohr.debian.org>
Sender: Archive Administrator <katie at ftp-master.debian.org>
Date: Mon, 16 Jan 2006 05:32:17 -0800
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-6.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02
X-CrossAssassin-Score: 3

Source: kaffe
Source-Version: 2:

We believe that the bug you reported is fixed in the latest version of
kaffe, which is due to be installed in the Debian FTP archive:

  to pool/main/k/kaffe/jikes-kaffe_1.1.6.91-1_all.deb
  to pool/main/k/kaffe/kaffe-common_1.1.6.91-1_all.deb
  to pool/main/k/kaffe/kaffe-dev_1.1.6.91-1_all.deb
  to pool/main/k/kaffe/kaffe-doc_1.1.6.91-1_all.deb
  to pool/main/k/kaffe/kaffe-jthreads_1.1.6.91-1_i386.deb
  to pool/main/k/kaffe/kaffe-pthreads_1.1.6.91-1_i386.deb
  to pool/main/k/kaffe/kaffe_1.1.6.91-1.diff.gz
  to pool/main/k/kaffe/kaffe_1.1.6.91-1.dsc
  to pool/main/k/kaffe/kaffe_1.1.6.91-1_all.deb
  to pool/main/k/kaffe/kaffe_1.1.6.91.orig.tar.gz

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 337560 at bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Wolfgang Baer <WBaer at gmx.de> (supplier of updated kaffe package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster at debian.org)

Hash: SHA1

Format: 1.7
Date: Sun, 15 Jan 2006 14:23:52 +0100
Source: kaffe
Binary: kaffe-dev kaffe-common kaffe-pthreads kaffe-doc kaffe jikes-kaffe kaffe-jthreads
Architecture: source all i386
Version: 2:
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers at lists.alioth.debian.org>
Changed-By: Wolfgang Baer <WBaer at gmx.de>
 jikes-kaffe - Wrapper for jikes using Kaffe classes
 kaffe      - A JVM to run Java bytecode
 kaffe-common - Files shared between all Kaffe VM versions
 kaffe-dev  - Header files and other resources for building against Kaffe
 kaffe-doc  - Documentation for the Kaffe VM
 kaffe-jthreads - A green threads enabled version of the Kaffe VM
 kaffe-pthreads - A POSIX threads enabled version of the Kaffe VM
Closes: 335227 335649 337560 338599 338628 346714
 kaffe (2: unstable; urgency=low
   * New upstream release candidate 1 (1.1.7-rc1)
     + Dropped patches which are applied upstream
       01_Tomcat4SecurityManager.patch, 02_JarCacheUse_Fix.patch
     + Updated patch 03_RegisterIconvCharsetProvider.patch
     + Fixes gui apps assertion failure (closes: #337560, #335649)
     + Fixes empty file handling causing a failure of rmic (closes: #335227)
     + Fixes xml handling leading to NPE in eclipse ant code (closes: #338599)
   * Adjusted configure options and paths for upstream changes
     + Use --with-glibj-zip instead of --with-rt-jar configure option
     + Update glibj.zip location for pthreads configure option
     + debian/FileActions, debian/wrappers/jikes-kaffe
       adjust for change of rt.jar into glibj.zip (added lintian override)
     + debian/kaffe.links, removed link Klasses.jar
     + Configure with --disable-fastjar - use system fastjar instead
   * xorg build-deps transition (closes: #346714)
     Removed xlibs-dev, added libxtst-dev, libx11-dev, libxext-dev
     libxtst-dev and x-dev to Build-Dependencies
   * Switch compiler to ecj by default
     + debian/control: build-depend on ecj-bootstrap-gcj | ecj-bootstrap,
       kaffe-pthreads, kaffe-jthreads depend on ecj-bootstrap instead of jikes
     + Remove rules.arm, rules.mips - ecj is now default compiler
     + debian/rules: use /usr/bin/ecj alternative, adjust glibj.zip path
       and make ecj default compiler
     + Removed hardcoded 'build.compiler=jikes' property in
       VMsystemProperties.java to allow ecj usage
     + Applied patches (02_IncludeEcjCompilerInToolsJar*.patch) shamelessly
       stolen from java-gcj-compat upstream to supply a com/sun/ entrypoint
       to ecj for usage by ant
     + Adjusted jikes-kaffe wrapper script, reworked dependencies
   * Bumped debhelper version to 4
   * Rewritten and enhanced manpages - javah, javap, native2ascii, rmic,
     rmiregistry, serialver (closes: #338628)
 eec68bc155720948bfa49f0a0817f9ed 1190 interpreters optional kaffe_1.1.6.91-1.dsc
 0e104f6e029f00e84a7467135f56e975 14328900 interpreters optional kaffe_1.1.6.91.orig.tar.gz
 6fc1b6a9717378c299877b73039faba3 34620 interpreters optional kaffe_1.1.6.91-1.diff.gz
 c7cd14b306be6144ce342304c01044fc 74028 interpreters optional kaffe_1.1.6.91-1_all.deb
 d524d6c4e8f529a995fd4f43dd2a1819 7809248 interpreters optional kaffe-common_1.1.6.91-1_all.deb
 da1f6e083797ca090071883ba9426abe 89510 interpreters optional kaffe-dev_1.1.6.91-1_all.deb
 217b68a69c7d00c1e37b288a4c4997c5 72390 interpreters optional jikes-kaffe_1.1.6.91-1_all.deb
 625974b9119e5845c7944f3fde9c3eb5 159340 interpreters optional kaffe-doc_1.1.6.91-1_all.deb
 dbd82f2e3cd7b97e860a0f8664058459 598358 interpreters optional kaffe-jthreads_1.1.6.91-1_i386.deb
 dcb54445c3cac71140e3aab9b88710cf 654710 interpreters optional kaffe-pthreads_1.1.6.91-1_i386.deb

Version: GnuPG v1.4.1 (GNU/Linux)


More information about the pkg-java-maintainers mailing list